Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBApplicationMBean

All Superinterfaces:
  CIBManagedObjectMBean, CIBMonitoredObjectMBean, CIBObjectMBean

All Known Implementing Classes:
  CIBApplication

public interface CIBApplicationMBean
extends CIBMonitoredObjectMBean

Provides methods that should be implemented by a CIBApplication managed object to expose its management attributes. The CIBApplication is the base object model to represent a single Java-ES application instance running on a system.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`javax.management.ObjectName[]` | `getApplicationsSet()` Returns the object name of the application container
`java.lang.String` | `getApplicationURLDescription()` Provides the application URL Description
`javax.management.ObjectName` | `getContainer()` Returns the object name of the application container
`java.lang.String` | `getDirectoryDN()` Returns the directory path where static information about this application is stored
`javax.management.ObjectName` | `getExternalResourceByUri(java.lang.String uri)` Returns the object name of a ExternalResource associated to the application identifies by its Uri
`javax.management.ObjectName[]` | `getExternalResources()` Returns the list of External resource object names associated to the application
`javax.management.ObjectName` | `getProduct()` Returns the CIBProduct object name
`javax.management.ObjectName` | `getResourceByName(java.lang.String name)` Returns the Object Name of a resource identified by its uri
`javax.management.ObjectName[]` | `getResources()` Returns the list of object names of all the resource associated to the application
`java.lang.String` | `getRole()` Provides the role of an application instance in the JES environment.
`javax.management.ObjectName` | `getServiceByName(java.lang.String name)` Returns the Object Name of the service identified by its name
`javax.management.ObjectName` | `getServiceByUri(java.lang.String uri)` Returns the object name of the Service identified by its Uri
`javax.management.ObjectName[]` | `getServices()` Returns the list of CIBService object names

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`getAvailabilityStatusDegradedTime, getAvailabilityStatusLastChange, getAvailabilityStatusState, getOpenStatistic, getOpenStatistics, getOpenStats, getOperationalStatusLastChange, getOperationalStatusStartTime, getOperationalStatusState, getStatisticNames, getStats, isStateProvider, isStatisticProvider, setStateProvider, setStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Method Detail

### getApplicationURLDescription

    public java.lang.String getApplicationURLDescription()
                                                  throws javax.management.InvalidAttributeValueException

  Provides the application URL Description

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getDirectoryDN

    public java.lang.String getDirectoryDN()
                                    throws javax.management.InvalidAttributeValueException

  Returns the directory path where static information about this application is stored

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getProduct

    public javax.management.ObjectName getProduct()
                                           throws javax.management.InvalidAttributeValueException

  Returns the CIBProduct object name

  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

### getServices

    public javax.management.ObjectName[] getServices()

  Returns the list of CIBService object names

  Returns:
    ObjectName[]

### getRole

    public java.lang.String getRole()

  Provides the role of an application instance in the JES environment.

  Returns:
    String

### getServiceByUri

    public javax.management.ObjectName getServiceByUri(java.lang.String uri)
                                                throws CIBException

  Returns the object name of the Service identified by its Uri

  Parameters:
    `uri` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getServiceByName

    public javax.management.ObjectName getServiceByName(java.lang.String name)
                                                 throws CIBException

  Returns the Object Name of the service identified by its name

  Parameters:
    `name` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getResources

    public javax.management.ObjectName[] getResources()

  Returns the list of object names of all the resource associated to the application

  Returns:
    ObjectName[]

### getResourceByName

    public javax.management.ObjectName getResourceByName(java.lang.String name)
                                                  throws CIBException

  Returns the Object Name of a resource identified by its uri

  Parameters:
    `name` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getExternalResources

    public javax.management.ObjectName[] getExternalResources()

  Returns the list of External resource object names associated to the application

  Returns:
    ObjectName[]

### getExternalResourceByUri

    public javax.management.ObjectName getExternalResourceByUri(java.lang.String uri)
                                                         throws CIBException

  Returns the object name of a ExternalResource associated to the application identifies by its Uri

  Parameters:
    `uri` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getContainer

    public javax.management.ObjectName getContainer()

  Returns the object name of the application container

  Returns:
    ObjectName

### getApplicationsSet

    public javax.management.ObjectName[] getApplicationsSet()

  Returns the object name of the application container

  Returns:
    ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD